<?php


namespace Simple_Giveaways;

/**
 * Class AutomatorWP_Base_Trigger
 *
 * @package Simple_Giveaways
 */
class AutomatorWP_Base_Action extends \AutomatorWP_Integration_Action {

	/**
	 * @var string
	 */
	public $integration = 'giveasap';

	/**
	 * Register required hooks
	 *
	 * @since 1.0.0
	 */
	public function hooks() {

		parent::hooks();

		remove_action( 'automatorwp_init', array( $this, 'register' ) );

		// Hook for triggers registered from the theme's functions
		add_action( 'after_setup_theme', array( $this, 'register' ) );
	}
}